API
Core Resources

Credits

Plus planRetain
The Credit Account object represents a set of positive and negative credit adjustments that when summed equal an available balance. Credit accounts may not have negative balances. A credit account may be associated with a customer, via the customer_id attribute. A customer may be associated with many credit accounts. A credit adjustment represents a financial adjustment to the balance of a Credit Account. An adjustment of type ‘credit’ results in an increase in the available balance of a credit account, where an adjustment of type ‘debit’ results in a decrease.

Access to the Credits endpoints are only available for merchants using Retain.

26 additions in V2, marked New

Everything marked New also works when you send X-Recharge-Version: 2021-11.

#The credit account object

Plus planRetain

Attributes

  • idinteger
    Unique numeric identifier for the Credit Account
  • Unique numeric identifier for the customer associated with the credit_account.
  • The dollar amount of available credit in the credit account, in the associated Store’s default currency as configured in Recharge
  • created_atdatetime
    The date and time at which the credit account was created.
  • The currency code for the credit account.
  • expires_atdatetime
    The date and time at which the credit account expires, and can no longer be adjusted.
  • The initial value of the credit account at the time of creation.
  • namestring
    The name of the credit account
  • typestring
    The type of the credit account. Accepted values are rewards and manual.
    Possible values
    manualrewardreferralgift
  • updated_atdatetime
    The date and time at which the credit account was last updated.
  • includeobjectNew
    An object containing the related resources requested with the include query parameter.
    Only returned when the include query parameter is passed.
    Show child attributesHide child attributes11 new
    • customerobjectNew
      The Customer associated with the credit account.
      Only returned when include=customer is passed.
The credit account object
{
  "credit_account": {
    "id": 697470,
    "customer_id": 36885098,
    "available_balance": "10.00",
    "created_at": "2024-07-08T20:40:30+00:00",
    "currency_code": "USD",
    "expires_at": null,
    "initial_value": "1.55",
    "name": "Reward Credit",
    "type": "reward",
    "updated_at": "2024-07-08T20:40:30+00:00"
  }
}

#Create a credit account

POST/credit_accounts
Plus planRetain
Create a new credit account.
Scopewrite_credit_accounts
Returns 201. type defaults to manual and name defaults to a name based on the type (for example Manual Credit). initial_value must be sent as a string and cannot exceed 999999.99.

Body parameters

  • The ID of the customer to create the credit account for.
  • expires_atdatetime
    The date and time at which the credit account expires, and can no longer be adjusted.
  • The initial value of the credit account at the time of creation.
  • namestring
    The name of the credit account.
  • typestring
    The type of the credit account. Accepted values are reward and manual.
    Possible values
    manualreward
POST/credit_accounts
curl 'https://api.rechargeapps.com/credit_accounts' \
 -H 'X-Recharge-Version: v2' \
 -H 'X-Recharge-Access-Token: your_api_token' \
 -d 'customer_id=36885098' \
 -d 'name=Reward Credit' \
 -d 'type=reward' \
 -d 'initial_value=10.00' \
 -d 'expires_at=2026-01-01T00:00:00+00:00'
Response
{
  "credit_account": {
    "id": 697470,
    "customer_id": 36885098,
    "available_balance": "0.00",
    "created_at": "2024-07-08T20:40:30+00:00",
    "currency_code": "USD",
    "expires_at": null,
    "initial_value": "0.45",
    "name": "Reward Credit",
    "type": "reward",
    "updated_at": "2024-07-08T20:40:30+00:00"
  }
}

#Retrieve a credit account

GET/credit_accounts/{id}
Plus planRetain
Retrieve one credit account using credit_account_id.
Scoperead_credit_accounts

Query parameters

  • includestringNew
    Only supported value is customer. If customer is included, the response will include the customer object.
    Possible values
    customer
GET/credit_accounts/{id}
curl 'https://api.rechargeapps.com/credit_accounts/697470' \
  -H 'X-Recharge-Version: v2' \
  -H 'X-Recharge-Access-Token: your_api_token'
Response
{
  "credit_account": {
    "id": 697470,
    "customer_id": 36885098,
    "available_balance": "0.00",
    "created_at": "2024-07-08T20:40:30+00:00",
    "currency_code": "USD",
    "expires_at": null,
    "initial_value": "0.45",
    "name": "Reward Credit",
    "type": "reward",
    "updated_at": "2024-07-08T20:40:30+00:00"
  }
}

#Update a credit account

PUT/credit_accounts/{id}
Plus planRetain
Update a credit account name, expiration date or assign to a customer.
Scopewrite_credit_accounts
customer_id can only be set on a credit account that is not yet assigned to a customer. Sending expires_at as null removes the expiration.

Body parameters

  • namestring
    The name of the credit account.
  • The ID of the customer to assign the credit account to.
  • expires_atdatetime
    The date and time at which the credit account expires, and can no longer be adjusted.
PUT/credit_accounts/{id}
curl 'https://api.rechargeapps.com/credit_accounts/697470' \
 -H 'X-Recharge-Version: v2' \
 -H 'X-Recharge-Access-Token: your_api_token' \
 -d 'name=Reward Credit' \
 -d 'customer_id=36885098' \
 -d 'expires_at=2026-01-01T00:00:00+00:00'
Response
{
  "credit_account": {
    "id": 697470,
    "customer_id": 36885098,
    "available_balance": "0.00",
    "created_at": "2024-07-08T20:40:30+00:00",
    "currency_code": "USD",
    "expires_at": null,
    "initial_value": "0.45",
    "name": "Reward Credit",
    "type": "reward",
    "updated_at": "2024-07-08T20:40:30+00:00"
  }
}

#List credit accounts

GET/credit_accounts
Plus planRetain
Return a list of credit accounts.
Scoperead_credit_accounts

Query parameters

  • Return the list of credit accounts linked to the given Recharge customer_id
  • Return the list of credit accounts linked to any of the given Recharge customer_ids. If passing multiple values, must be comma separated. Non-integer values will result in a 422 error
  • Return the list of credit accounts that expire after the given date (inclusive).
  • Return the list of credit accounts that expire before the given date (inclusive).
  • limitstring
    The amount of results. Default is 50 while the maximum is 250.
  • idsstringNew
    Filter credit accounts by id. If passing multiple values, must be comma separated.
  • includestringNew
    Only supported value is customer. If customer is included, the response will include the customer object.
    Possible values
    customer
  • sort_bystringNew
    Sort the listed credit accounts in a specific order. Available sort options: id-asc, id-desc, expires_at-asc, expires_at-desc. Defaults to id-desc.
    Possible values
    id-ascid-descexpires_at-ascexpires_at-desc
  • pagestringNew
    The page to show. Cursor pagination is recommended instead.
  • cursorstringNew
    Return either the next or previous page of credit accounts using the next_cursor or previous_cursor value from a previous response. Only limit can be passed together with cursor.
GET/credit_accounts
curl 'https://api.rechargeapps.com/credit_accounts' \
  -H 'X-Recharge-Version: v2' \
  -H 'X-Recharge-Access-Token: your_api_token'
Response
{
  "next_cursor": "eyJzdGFydGluZ19iZWZvcmVfaWQiOjQ5ODg2NywibGFzdF92YWx1ZSI6NDk4ODY3LCJzb3J0X2J5IjoiaWQtZGVzYyIsImN1cnNvcl9kaXIiOiJuZXh0In0",
  "previous_cursor": null,
  "credit_accounts": [
    {
      "id": 697470,
      "customer_id": 36885098,
      "available_balance": "0.00",
      "created_at": "2024-07-08T20:40:30+00:00",
      "currency_code": "USD",
      "expires_at": null,
      "initial_value": "0.45",
      "name": "Reward Credit",
      "type": "reward",
      "updated_at": "2024-07-08T20:40:30+00:00"
    }
  ]
}

#Create a credit adjustment

POST/credit_accounts/{id}/credit_adjustments
Plus planRetain
Create a new credit adjustment for a specific credit account using credit_account_id.
Scopeswrite_credit_adjustments_creditwrite_credit_adjustments_debit
Returns 201. Creating a credit adjustment requires the write_credit_adjustments_credit scope and creating a debit adjustment requires the write_credit_adjustments_debit scope. amount must be sent as a string between 0 and 999999.99, and note is limited to 1000 characters.

Body parameters

  • amountstringRequired
    The amount of the credit adjustment.
  • notestring
    The note for the credit adjustment.
  • typestringRequired
    The type of the credit adjustment. Accepted values are debit and credit.
    Possible values
    debitcredit
  • The type of record the credit adjustment refers to. Defaults to external. The value is stored but is not returned in the response.
    Possible values
    chargecredit_adjustmentreward_programexternalinternalmanual_adjustment

Response attributes

  • idinteger
    Unique numeric identifier for the Credit Adjustment.
  • Unique numeric identifier for the Credit Account associated with the Credit Adjustment.
  • amountstring
    The dollar amount of the credit adjustment in the indicated currency.
  • created_atdatetime
    The date and time at which the credit adjustment was created.
  • The resource that created the credit adjustment.
  • The currency code of the credit_account associated with the credit_adjustment.
  • The resulting balance of the associated credit_account after the credit_adjustment was applied.
  • notestring
    A note indicating additional information about the credit adjustment.
  • typestring
    The type of the adjustment. Accepted values are 'credit' or 'debit', where credit results in a higher available balance, and debit results in a lower available balance.
  • updated_atdatetime
    The date and time at which the credit adjustment was updated.
POST/credit_accounts/{id}/credit_adjustments
curl -X POST 'https://api.rechargeapps.com/credit_accounts/697470/credit_adjustments' \
  -H 'X-Recharge-Version: v2' \
  -H 'X-Recharge-Access-Token: your_api_token' \
  -d '{
  "amount": "10.00",
  "note": "Gift card purchase",
  "type": "debit"
}'
Response
{
  "credit_adjustment": [
    {
      "id": 4866849,
      "credit_account_id": 697470,
      "amount": "0.45",
      "created_at": "2024-08-08T04:06:37+00:00",
      "created_by": {
        "resource_id": null,
        "identifier": "API",
        "type": "external"
      },
      "currency_code": "USD",
      "ending_balance": "0.00",
      "note": "Amount related with order Charge Id: 11888235",
      "type": "debit",
      "updated_at": "2024-08-08T04:06:37+00:00"
    }
  ]
}

#List Credit Adjustments for a Credit Account

GET/credit_accounts/{id}/credit_adjustments
Plus planRetain
Retrieve credit adjustments associated with specific credit account using credit_account_id.
Scoperead_credit_adjustments

Query parameters

  • limitstring
    The amount of results. Default is 50 while the maximum is 250.
  • idsstringNew
    Return the list of credit adjustments linked to the given Recharge ids. If passing multiple values, must be comma separated.
  • Return the list of credit adjustments created after the given date.
  • Return the list of credit adjustments created before the given date.
  • Return the list of credit adjustments updated after the given date.
  • Return the list of credit adjustments updated before the given date.
  • sort_bystringNew
    Sort the listed credit adjustments in a specific order. Available sort options: id-asc, id-desc, updated_at-asc, updated_at-desc. Defaults to id-desc.
    Possible values
    id-ascid-descupdated_at-ascupdated_at-desc
  • pagestringNew
    The page to show. Cursor pagination is recommended instead.
  • cursorstringNew
    Return either the next or previous page of credit adjustments using the next_cursor or previous_cursor value from a previous response. Only limit can be passed together with cursor.

Response attributes

  • idinteger
    Unique numeric identifier for the Credit Adjustment.
  • Unique numeric identifier for the Credit Account associated with the Credit Adjustment.
  • amountstring
    The dollar amount of the credit adjustment in the indicated currency.
  • created_atdatetime
    The date and time at which the credit adjustment was created.
  • The resource that created the credit adjustment.
  • The currency code of the credit_account associated with the credit_adjustment.
  • The resulting balance of the associated credit_account after the credit_adjustment was applied.
  • notestring
    A note indicating additional information about the credit adjustment.
  • typestring
    The type of the adjustment. Accepted values are 'credit' or 'debit', where credit results in a higher available balance, and debit results in a lower available balance.
  • updated_atdatetime
    The date and time at which the credit adjustment was updated.
GET/credit_accounts/{id}/credit_adjustments
curl 'https://api.rechargeapps.com/credit_accounts/697470/credit_adjustments' \
  -H 'X-Recharge-Version: v2' \
  -H 'X-Recharge-Access-Token: your_api_token'
Response
{
  "next_cursor": null,
  "previous_cursor": null,
  "credit_adjustments": [
    {
      "id": 4866849,
      "credit_account_id": 697470,
      "amount": "0.45",
      "created_at": "2024-08-08T04:06:37+00:00",
      "currency_code": "USD",
      "ending_balance": "0.00",
      "note": "Amount related with shop order store.myshopify.com Address Id: 169902120 Charge Id: 1125729345",
      "type": "debit",
      "updated_at": "2024-08-08T04:06:37+00:00"
    },
    {
      "id": 4719708,
      "credit_account_id": 697470,
      "amount": "0.45",
      "created_at": "2024-07-08T20:40:31+00:00",
      "currency_code": "USD",
      "ending_balance": "0.45",
      "note": "3% Cash back on curious tomatoes",
      "type": "credit",
      "updated_at": "2024-07-08T20:40:31+00:00"
    }
  ]
}

#List credit adjustments

GET/credit_adjustments
Plus planRetain
Retrieve a list of credit adjustments.
Scoperead_credit_adjustments

Query parameters

  • idsstring
    Return the list of credit adjustments linked to the given Recharge ids. If passing multiple values, must be comma separated. Non-integer values will result in a 422 error
  • Return the list of credit adjustments created after the given date.
  • Return the list of credit adjustments created before the given date.
  • limitstring
    The amount of results. Default is 50 while the maximum is 250.
  • Return the list of credit adjustments updated after the given date.
  • Return the list of credit adjustments updated before the given date.
  • sort_bystringNew
    Sort the listed credit adjustments in a specific order. Available sort options: id-asc, id-desc, updated_at-asc, updated_at-desc. Defaults to id-desc.
    Possible values
    id-ascid-descupdated_at-ascupdated_at-desc
  • pagestringNew
    The page to show. Cursor pagination is recommended instead.
  • cursorstringNew
    Return either the next or previous page of credit adjustments using the next_cursor or previous_cursor value from a previous response. Only limit can be passed together with cursor.

Response attributes

  • idinteger
    Unique numeric identifier for the Credit Adjustment.
  • Unique numeric identifier for the Credit Account associated with the Credit Adjustment.
  • amountstring
    The dollar amount of the credit adjustment in the indicated currency.
  • created_atdatetime
    The date and time at which the credit adjustment was created.
  • The resource that created the credit adjustment.
  • The currency code of the credit_account associated with the credit_adjustment.
  • The resulting balance of the associated credit_account after the credit_adjustment was applied.
  • notestring
    A note indicating additional information about the credit adjustment.
  • typestring
    The type of the adjustment. Accepted values are 'credit' or 'debit', where credit results in a higher available balance, and debit results in a lower available balance.
  • updated_atdatetime
    The date and time at which the credit adjustment was updated.
GET/credit_adjustments
curl 'https://api.rechargeapps.com/credit_adjustments' \
  -H 'X-Recharge-Version: v2' \
  -H 'X-Recharge-Access-Token: your_api_token'
Response
{
  "next_cursor": "eyJzdGFydGluZ19iZWZvcmVfaWQiOjQ4NjY4NDksImxhc3RfdmFsdWUiOjQ4NjY4NDksInNvcnRfYnkiOiJpZC1kZXNjIiwiY3Vyc29yX2RpciI6Im5leHQifQ",
  "previous_cursor": null,
  "credit_adjustments": [
    {
      "id": 4866849,
      "credit_account_id": 697470,
      "amount": "0.45",
      "created_at": "2024-08-08T04:06:37+00:00",
      "created_by": {
        "resource_id": null,
        "identifier": "API",
        "type": "external"
      },
      "currency_code": "USD",
      "ending_balance": "0.00",
      "note": "Amount related with shop order shop.myshopify.com. Address Id: 169902120 Charge Id: 1125729345",
      "type": "debit",
      "updated_at": "2024-08-08T04:06:37+00:00"
    }
  ]
}

#Retrieve a credit account summaryNew

GET/credit_accounts/{id}/summary
Retrieve a credit account together with a summary of its credit adjustments: the current balance and the total amounts credited to and debited from the account.
Scoperead_credit_accounts

Response attributes

  • An object summarizing the credit adjustments of the credit account.
    Show child attributesHide child attributes3
    • The balance of the credit account after its most recent credit adjustment.
    • The sum of all credit adjustments on the credit account.
    • The sum of all debit adjustments on the credit account, as a positive amount.
GET/credit_accounts/{id}/summary
curl 'https://api.rechargeapps.com/credit_accounts/129593/summary' \
  -H 'X-Recharge-Version: v2' \
  -H 'X-Recharge-Access-Token: your_api_token'
Response
{
  "credit_account": {
    "id": 1234,
    "customer_id": 98765,
    "available_balance": "25.00",
    "created_at": "2026-01-15T14:30:00+00:00",
    "currency_code": "USD",
    "expires_at": null,
    "initial_value": "50.00",
    "name": "Manual Credit",
    "type": "manual",
    "updated_at": "2026-01-20T09:00:00+00:00",
    "adjustment_summary": {
      "available_balance": "25.00",
      "total_credits": "50.00",
      "total_debits": "25.00"
    }
  }
}

#The credit adjustment objectNew

A credit adjustment records a change to the balance of a credit account. A credit adjustment adds to the available balance of the credit account and a debit adjustment subtracts from it. Credit adjustments cannot be deleted, and only their note can be changed after creation.

Attributes

  • idinteger
    Unique numeric identifier for the credit adjustment.
  • Unique numeric identifier for the credit account the credit adjustment belongs to.
  • amountstring
    The amount of the credit adjustment. Always a positive value; type indicates whether it was added to or subtracted from the credit account.
  • updated_atdatetime
    The date and time at which the credit adjustment was last updated.
  • created_atdatetime
    The date and time at which the credit adjustment was created.
  • An object describing who created the credit adjustment.
    Show child attributesHide child attributes3
    • typestring · nullable
      The kind of actor that created the credit adjustment: external for the API, user for a merchant portal user, and recharge for adjustments created by Recharge.
      Possible values
      externaluserrecharge
    • resource_idinteger · nullable
      The ID of the merchant portal user that created the credit adjustment, when available.
    • identifierstring · nullable
      A display name for the actor that created the credit adjustment, such as API, Recharge, Store Admin or the name of the merchant portal user.
  • The currency code for the credit adjustment.
  • The balance of the credit account after the credit adjustment was applied.
  • includeobject
    An object containing the related resources requested with the include query parameter.
    Only returned by the retrieve endpoints when the include query parameter is passed.
    Show child attributesHide child attributes1
    • customerobject
      The Customer associated with the credit account of the credit adjustment.
      Only returned by the retrieve endpoints when include=customer is passed.
  • notestring · nullable
    The note for the credit adjustment.
  • typestring
    The type of the credit adjustment. credit adds to the balance of the credit account and debit subtracts from it.
    Possible values
    creditdebit
The credit adjustment object
{
  "credit_adjustment": {
    "id": 5551,
    "credit_account_id": 1234,
    "amount": "10.00",
    "created_at": "2026-01-20T09:00:00+00:00",
    "created_by": {
      "identifier": "API",
      "resource_id": null,
      "type": "external"
    },
    "currency_code": "USD",
    "ending_balance": "35.00",
    "note": "Goodwill credit",
    "type": "credit",
    "updated_at": "2026-01-20T09:00:00+00:00"
  }
}

#Retrieve a credit adjustmentNew

GET/credit_adjustments/{id}
Retrieve a credit adjustment by its ID.
Scoperead_credit_adjustments

Query parameters

  • includestring
    Only supported value is customer. If customer is included, the response will include the customer object.
    Possible values
    customer
GET/credit_adjustments/{id}
curl 'https://api.rechargeapps.com/credit_adjustments/129593' \
  -H 'X-Recharge-Version: v2' \
  -H 'X-Recharge-Access-Token: your_api_token'
Response
{
  "credit_adjustment": {
    "id": 5551,
    "credit_account_id": 1234,
    "amount": "10.00",
    "created_at": "2026-01-20T09:00:00+00:00",
    "created_by": {
      "identifier": "API",
      "resource_id": null,
      "type": "external"
    },
    "currency_code": "USD",
    "ending_balance": "35.00",
    "note": "Goodwill credit",
    "type": "credit",
    "updated_at": "2026-01-20T09:00:00+00:00"
  }
}

#Retrieve a credit adjustment for a credit accountNew

GET/credit_accounts/{id}/credit_adjustments/{credit_adjustment_id}
Retrieve a credit adjustment that belongs to the given credit account. Returns a 404 if the credit adjustment does not belong to the credit account.
Scoperead_credit_adjustments

Query parameters

  • includestring
    Only supported value is customer. If customer is included, the response will include the customer object.
    Possible values
    customer
GET/credit_accounts/{id}/credit_adjustments/{credit_adjustment_id}
curl 'https://api.rechargeapps.com/credit_accounts/129593/credit_adjustments/271349' \
  -H 'X-Recharge-Version: v2' \
  -H 'X-Recharge-Access-Token: your_api_token'
Response
{
  "credit_adjustment": {
    "id": 5551,
    "credit_account_id": 1234,
    "amount": "10.00",
    "created_at": "2026-01-20T09:00:00+00:00",
    "created_by": {
      "identifier": "API",
      "resource_id": null,
      "type": "external"
    },
    "currency_code": "USD",
    "ending_balance": "35.00",
    "note": "Goodwill credit",
    "type": "credit",
    "updated_at": "2026-01-20T09:00:00+00:00"
  }
}

#Update a credit adjustmentNew

PUT/credit_accounts/{id}/credit_adjustments/{credit_adjustment_id}
Update the note of a credit adjustment. No other attribute of a credit adjustment can be changed. Updating a credit adjustment requires the write_credit_adjustments_credit scope and updating a debit adjustment requires the write_credit_adjustments_debit scope.
Scopeswrite_credit_adjustments_creditwrite_credit_adjustments_debit

Body parameters

  • notestring
    The note for the credit adjustment. Must be between 1 and 1000 characters.
PUT/credit_accounts/{id}/credit_adjustments/{credit_adjustment_id}
curl -X PUT 'https://api.rechargeapps.com/credit_accounts/129593/credit_adjustments/271349' \
  -H 'X-Recharge-Version: v2' \
  -H 'X-Recharge-Access-Token: your_api_token'
Response
{
  "credit_adjustment": {
    "id": 5551,
    "credit_account_id": 1234,
    "amount": "10.00",
    "created_at": "2026-01-20T09:00:00+00:00",
    "created_by": {
      "identifier": "API",
      "resource_id": null,
      "type": "external"
    },
    "currency_code": "USD",
    "ending_balance": "35.00",
    "note": "Goodwill credit for a delayed order",
    "type": "credit",
    "updated_at": "2026-01-21T11:15:00+00:00"
  }
}

#The credit summary objectNew

The credit summary gives an overview of the Recharge credits available to a customer across all of their credit accounts. It is returned by the GET /customers/{id}/credit_summary endpoint under the credit_summary key.

Attributes

  • Unique numeric identifier for the Customer.
  • The currency code of the customer's credit balances.
  • The total amount of credit available to the customer across all credit accounts that have not expired.
  • The total amount of available credit broken down by credit account type.
    Show child attributesHide child attributes4
    • manualfloat
      The total available balance of the customer's manual credit accounts.
    • rewardfloat
      The total available balance of the customer's reward credit accounts.
    • The total available balance of the customer's referral credit accounts.
    • giftfloat
      The total available balance of the customer's gift credit accounts.
  • The maximum amount of credit that can be redeemed on a single charge.
    Only returned when the store has a maximum credit redemption limit configured.
  • The total available balance in the store's default currency and in the requested presentment currency.
    Only returned when the presentment_currency_code query parameter is passed.
    Show child attributesHide child attributes2
    • The amount in the store's default currency.
      Show child attributesHide child attributes2
      • amountstring
        The amount in the store's default currency.
      • The currency code of the store's default currency.
    • The amount converted to the requested presentment currency.
      Show child attributesHide child attributes2
      • amountstring
        The amount converted to the requested presentment currency.
      • The currency code of the requested presentment currency.
  • The maximum redemption limit in the store's default currency and in the requested presentment currency. Has the same structure as total_available_balance_set.
    Only returned when the presentment_currency_code query parameter is passed and the store has a maximum credit redemption limit configured.
  • includeobject
    An object containing the related resources requested with the include query parameter.
    Only returned when the include query parameter is passed.
    Show child attributesHide child attributes1
    • credit_detailsarray of objects
      A list of the customer's credit accounts, limited to 250.
      Only returned when include=credit_details is passed.
      Show child attributesHide child attributes7
      • idinteger
        Unique numeric identifier for the credit account.
      • namestring
        The name of the credit account.
      • The amount of available credit in the credit account.
      • created_atdatetime
        The date and time at which the credit account was created.
      • expires_atdatetime · nullable
        The date and time at which the credit account expires. If null, the credit account does not expire.
      • typestring
        The type of the credit account.
        Possible values
        manualrewardreferralgift
      • The available balance of the credit account in the store's default currency and in the requested presentment currency. Has the same structure as total_available_balance_set.
        Only returned when the presentment_currency_code query parameter is passed.
The credit summary object
{
  "credit_summary": {
    "customer_id": 98765,
    "currency_code": "USD",
    "total_available_balance": "35.00",
    "total_available_balance_by_credit_type": {
      "gift": 0,
      "manual": 35,
      "referral": 0,
      "reward": 0
    },
    "include": {
      "credit_details": [
        {
          "id": 1234,
          "name": "Manual Credit",
          "available_balance": "35.00",
          "created_at": "2026-01-15T14:30:00+00:00",
          "expires_at": null,
          "type": "manual"
        }
      ]
    }
  }
}